<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
                xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
                >

    <!-- iWmo 3.0 CD056 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD056"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD056"/>
    </xsl:template>

    <xsl:template match="wmo303:IngediendeBedragPrestatie" mode="CD056">
        <xsl:if test="normalize-space(iwmo:BtwVrijstellingIndicatie/text())='1'">
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="iwmo:BtwPercentage"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="iwmo:BtwVrijstellingIndicatie"/>-->
            </xsl:call-template>
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="iwmo:BtwBedrag/iwmo:Bedrag"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="iwmo:BtwVrijstellingIndicatie"></xsl:with-param>-->
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="wmo304:IngediendeBedragPrestatie" mode="CD056">
        <xsl:if test="normalize-space(iwmo:BtwVrijstellingIndicatie/text())='1'">
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="iwmo:BtwPercentage"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="iwmo:BtwVrijstellingIndicatie"/>-->
            </xsl:call-template>
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="iwmo:BtwBedrag/iwmo:Bedrag"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="iwmo:BtwVrijstellingIndicatie"></xsl:with-param>-->
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>
	