<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
                xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
>

    <!-- iWmo 3.0 CD059 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD059"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD059"/>
    </xsl:template>

    <xsl:template match="wmo303:Prestatie" mode="CD059">
        <xsl:call-template name="checkimplication">
            <xsl:with-param name="pThis" select="ancestor-or-self::wmo303:Bericht/wmo303:Header/wmo303:BerichtCode"/>
            <xsl:with-param name="pValue1">448, 450</xsl:with-param>
            <xsl:with-param name="pOther" select="wmo303:IngediendeBedragPrestatie/iwmo:BtwVrijstellingIndicatie"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD059</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="wmo304:Prestatie" mode="CD059">
        <xsl:call-template name="checkimplication">
            <xsl:with-param name="pThis" select="ancestor-or-self::wmo304:Bericht/wmo304:Header/wmo304:BerichtCode"/>
            <xsl:with-param name="pValue1">449, 451</xsl:with-param>
            <xsl:with-param name="pOther" select="wmo304:IngediendeBedragPrestatie/iwmo:BtwVrijstellingIndicatie"/>
            <xsl:with-param name="pValue2">*</xsl:with-param>
            <xsl:with-param name="pRule">CD059</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
