<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
	xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema"
	xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_0/wmo317/schema"
	>

	<!-- iWmo 3.0 CD076 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD076" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD076" />
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct//iwmo:Frequentie" mode="CD076">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">2,6</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD076</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="wmo315:AangevraagdProduct//iwmo:Frequentie" mode="CD076">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">2,6</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD076</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="wmo317:TeWijzigenProduct//iwmo:Frequentie" mode="CD076">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">2,6</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo317:TeWijzigenProduct/wmo317:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD076</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo317:NieuwProduct//iwmo:Frequentie" mode="CD076">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">2,6</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD076</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
