<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
                xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
                xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
                xmlns:wmo305="http://www.istandaarden.nl/iwmo/3_0/wmo305/schema"
                xmlns:wmo307="http://www.istandaarden.nl/iwmo/3_0/wmo307/schema"
                xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema"
                xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
                xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_0/wmo325/schema"
                >

    <!-- iWmo 3.0 CS023 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS023"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS023"/>
    </xsl:template>

    <xsl:template match="wmo301:Beschikking/wmo301:Afgiftedatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo301:Client/wmo301:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo301:Relatie/wmo301:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo301:ToegewezenProduct/wmo301:Toewijzingsdatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="iwmo:DeclaratiePeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="wmo303:Client/wmo303:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <xsl:template match="wmo303:Prestatie/wmo303:ProductPeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="wmo304:Client/wmo304:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>
    
    <xsl:template match="wmo304:Prestatie/wmo304:ProductPeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023declaratie"/>
    </xsl:template>

    <!---->

    <xsl:template match="wmo305:Client/wmo305:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>
    
    <xsl:template match="wmo305:StartProduct/wmo305:Begindatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo307:Client/wmo307:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo307:StopProduct/wmo307:Einddatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo315:Client/wmo315:Geboortedatum/iwmo:Datum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo323:DeclaratiePeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo323:ProductPeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template match="wmo325:ProductPeriode/iwmo:Begindatum" mode="CS023">
        <xsl:call-template name="cs023"/>
    </xsl:template>

    <xsl:template name="cs023">
        <xsl:param name="pThis" select="."/>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
            <xsl:with-param name="pOther" select="$pThis"/>
            <xsl:with-param name="pRule">CS023</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="cs023declaratie">
        <xsl:param name="pThis" select="."/>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening']"/>
            <xsl:with-param name="pOther" select="$pThis"/>
            <xsl:with-param name="pRule">CS023</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
