<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	>

	<!-- iWmo 3.0 CS103 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS103"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS103"/>
	</xsl:template>

	<xsl:template match="wmo303:DeclaratieFactuurIdentificatie/iwmo:DeclaratiePeriode" mode="CS103">
		<xsl:if test="translate(iwmo:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="wmo303:ProductPeriode" mode="CS103">
		<xsl:if test="translate(iwmo:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="wmo304:ProductPeriode" mode="CS103">
		<xsl:if test="translate(iwmo:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
