<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
	xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_0/wmo325/schema"
	>

	<!-- iWmo 3.0 CS108 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS108"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS108"/>
	</xsl:template>

	<xsl:template match="wmo303:DeclaratieFactuurIdentificatie/iwmo:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="wmo303:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="wmo304:DeclaratieFactuurIdentificatie/iwmo:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="wmo304:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>
	
	<xsl:template match="wmo323:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="wmo323:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="wmo325:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template name="cs108">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="iwmo:Einddatum" />
			<xsl:with-param name="pOther" select="iwmo:Begindatum"/>
			<xsl:with-param name="pRule">CS108</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
				select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening'] |
				ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pOther" select="iwmo:Einddatum"/>
			<xsl:with-param name="pRule">CS108</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
