<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	>

	<!-- iWmo 3.0 CS327 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS327"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS327"/>
	</xsl:template>

	<xsl:template match="wmo303:IngediendeBedragPrestatie/iwmo:BerekendBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template match="wmo303:IngediendeBedragPrestatie/iwmo:BtwBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template match="wmo304:IngediendeBedragPrestatie/iwmo:BerekendBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template match="wmo304:IngediendeBedragPrestatie/iwmo:BtwBedrag" mode="CS327">
		<xsl:call-template name="cs327" />
	</xsl:template>

	<xsl:template name="cs327">
		<xsl:if test="not(normalize-space(iwmo:DebetCredit/text()) = normalize-space(../iwmo:DeclaratieFactuurBedrag/iwmo:DebetCredit/text()))">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS327</xsl:with-param>
				<xsl:with-param name="pElements" select="iwmo:DebetCredit | ../iwmo:DeclaratieFactuurBedrag/iwmo:DebetCredit" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
