<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
		    xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
		    xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema"
		    xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_0/wmo317/schema"
		    xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
		    >

    <!-- iWmo 3.0 CS330 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS330"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS330"/>
    </xsl:template>

    <xsl:template match="wmo301:Omvang/iwmo:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="wmo315:Omvang/iwmo:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="wmo317:TeWijzigenProduct/wmo317:Omvang/iwmo:Eenheid | wmo317:NieuwProduct/wmo317:Omvang/iwmo:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="wmo323:Prestatie/wmo323:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
