<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
>

    <!-- iwmo 2.4 TR006 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR006"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR006"/>
    </xsl:template>
    
    <xsl:template match="wmo301:Contact" mode="TR006">
        <xsl:call-template name="checkSingleCorrect">
            <xsl:with-param name="pThis" select="wmo301:Telefoon"/>
            <xsl:with-param name="pValue1">#</xsl:with-param>
            <xsl:with-param name="pOther" select="wmo301:Adres/iwmo:Huis"/>
            <xsl:with-param name="pValue2">#</xsl:with-param>
            <xsl:with-param name="pExtra" select="."/>
            <xsl:with-param name="pRule">TR006</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="checkSingleCorrect">
            <xsl:with-param name="pThis" select="wmo301:Telefoon"/>
            <xsl:with-param name="pValue1">#</xsl:with-param>
            <xsl:with-param name="pOther" select="wmo301:Adres/iwmo:Postcode"/>
            <xsl:with-param name="pValue2">#</xsl:with-param>
            <xsl:with-param name="pExtra" select="."/>
            <xsl:with-param name="pRule">TR006</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
