<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	>

	<!-- iWmo 3.0 TR097 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR097"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR097"/>
	</xsl:template>

	<xsl:template match="*[iwmo:Datum and iwmo:DatumGebruik]" mode="TR097">
		<xsl:choose>
			<xsl:when test="iwmo:DatumGebruik = '3' and iwmo:Datum != '1900-01-01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						TR097
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="iwmo:DatumGebruik = '2' and substring-after(iwmo:Datum, '-') != '01-01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						TR097
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="iwmo:DatumGebruik = '1' and substring-after(substring-after(iwmo:Datum, '-'), '-') != '01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						TR097
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
