<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_0/wmo301/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	xmlns:wmo305="http://www.istandaarden.nl/iwmo/3_0/wmo305/schema"
	xmlns:wmo307="http://www.istandaarden.nl/iwmo/3_0/wmo307/schema"
	xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_0/wmo315/schema"
	xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_0/wmo317/schema"
	xmlns:wmo319="http://www.istandaarden.nl/iwmo/3_0/wmo319/schema"
	xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
	xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_0/wmo325/schema"
>
	<!-- iWmo 3.0 TR101 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR101simple"/>
	<xsl:template match="*" mode="TR101generic"/>
	<xsl:template match="*" mode="TR101">
		<xsl:apply-templates select="*" mode="TR101simple"/>
		<xsl:apply-templates select="*" mode="TR101generic"/>
	</xsl:template>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR101"/>
	</xsl:template>

	<!-- WMO301 -->
	<xsl:template match="wmo301:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo301:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="wmo301:Contact" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Soort']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo301:Contact[*[local-name() = 'Soort']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo301:Relatie]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo301:Relatie"/>
			<xsl:with-param name="pKeys">/Contact/Soort,/Nummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo301:ToegewezenProduct" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo301:ToegewezenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>

	<!-- WMO303 -->
	<xsl:template match="wmo303:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo303:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo303:Prestatie]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo303:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductCategorie,/ProductCode,/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO304 -->
	<xsl:template match="wmo304:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo304:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo304:Prestatie]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo304:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductCategorie,/ProductCode,/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO305 -->
	<xsl:template match="wmo305:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo305:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo305:StartProduct]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo305:StartProduct"/>
			<xsl:with-param name="pKeys">/Begindatum,/Product/Categorie,/Product/Code,/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO307 -->
	<xsl:template match="wmo307:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo307:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo307:StopProduct]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo307:StopProduct"/>
			<xsl:with-param name="pKeys">/Begindatum,/Einddatum,/Product/Categorie,/Product/Code,/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO315 -->
	<xsl:template match="*[wmo315:AangevraagdProduct]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo315:AangevraagdProduct"/>
			<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/ToewijzingIngangsdatum,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo315:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo315:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>

	<!-- WMO317 -->
	<xsl:template match="wmo317:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo317:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo317:NieuwProduct]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo317:NieuwProduct"/>
			<xsl:with-param name="pKeys">/GewensteIngangsdatum,/Product/Categorie,/Product/Code,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo317:OngewijzigdProduct" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo317:OngewijzigdProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="wmo317:TeWijzigenProduct" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo317:TeWijzigenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="wmo317:Verzoek" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'ReferentieAanbieder']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo317:Verzoek[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>

	<!-- WMO319 -->
	<xsl:template match="*[wmo319:Antwoord]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo319:Antwoord"/>
			<xsl:with-param name="pKeys">/ReferentieAanbieder,/VerzoekAntwoord,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO323 -->
	<xsl:template match="wmo323:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo323:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="wmo323:Declaratie" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'DeclaratieNummer']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo323:Declaratie[*[local-name() = 'DeclaratieNummer']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo323:Prestatie]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo323:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- WMO325 -->
	<xsl:template match="wmo325:Client" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'Bsn']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo325:Client[*[local-name() = 'Bsn']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="wmo325:DeclaratieAntwoord" mode="TR101simple">
		<xsl:variable name="vMatch" select="*[local-name() = 'DeclaratieNummer']/text()" />
		<xsl:variable name="vThis" select="." />
		<xsl:for-each select="preceding-sibling::wmo325:DeclaratieAntwoord[*[local-name() = 'DeclaratieNummer']/text() = $vMatch]">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select=". | $vThis"/>
				<xsl:with-param name="pRule">TR101</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*[wmo325:Prestatie]" mode="TR101generic">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="wmo325:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
