<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	>

	<!-- iWmo 3.0 TR312 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR312"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR312"/>
	</xsl:template>

	<xsl:template match="wmo303:DeclaratieFactuurBedragen" mode="TR312">
		<xsl:variable name="vTotaalDebet"
			select="sum(ancestor-or-self::wmo303:Bericht/wmo303:Clienten/wmo303:Client/wmo303:Prestaties/wmo303:Prestatie/wmo303:IngediendeBedragPrestatie/iwmo:DeclaratieFactuurBedrag[iwmo:DebetCredit/text() = 'D']/iwmo:Bedrag)"/>
		<xsl:variable name="vTotaalCredit"
			select="sum(ancestor-or-self::wmo303:Bericht/wmo303:Clienten/wmo303:Client/wmo303:Prestaties/wmo303:Prestatie/wmo303:IngediendeBedragPrestatie/iwmo:DeclaratieFactuurBedrag[iwmo:DebetCredit/text() = 'C']/iwmo:Bedrag)"/>

		<xsl:variable name="vSaldo" select="$vTotaalDebet - $vTotaalCredit"/>
		
		<!-- Controleren of BtwTotaalBedrag overeenkomt met saldo BtwBedragen -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="iwmo:DeclaratieFactuurTotaalBedrag/iwmo:DebetCredit" />
			<xsl:with-param name="pValue1">D</xsl:with-param>
			<xsl:with-param name="pOther" select="iwmo:DeclaratieFactuurTotaalBedrag/iwmo:TotaalBedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="$vSaldo" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="ancestor-or-self::wmo303:Bericht/wmo303:Clienten/wmo303:Client/wmo303:Prestaties/wmo303:Prestatie/wmo303:IngediendeBedragPrestatie/iwmo:DeclaratieFactuurBedrag/iwmo:Bedrag"/>
			<xsl:with-param name="pRule">TR312</xsl:with-param>
		</xsl:call-template>

		<!-- In het geval van Credit moet het bedrag negatief worden gemaakt -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="iwmo:DeclaratieFactuurTotaalBedrag/iwmo:DebetCredit" />
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="iwmo:DeclaratieFactuurTotaalBedrag/iwmo:TotaalBedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="0 - number($vSaldo)" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="ancestor-or-self::wmo303:Bericht/wmo303:Clienten/wmo303:Client/wmo303:Prestaties/wmo303:Prestatie/wmo303:IngediendeBedragPrestatie/iwmo:DeclaratieFactuurBedrag/iwmo:Bedrag"/>
			<xsl:with-param name="pRule">TR312</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
