<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	>

	<!-- iWmo 3.0 TR314 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR314"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR314"/>
	</xsl:template>

	<xsl:template match="wmo303:ProductReferentie" mode="TR314">
		<xsl:variable name="vReferentieNummer" select="normalize-space(iwmo:ReferentieNummer/text())" />

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::wmo303:Prestatie/preceding-sibling::wmo303:Prestatie/wmo303:ProductReferentie/iwmo:ReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR314</xsl:with-param>
			<xsl:with-param name="pCode">8021</xsl:with-param>
			<xsl:with-param name="pExtra" select="iwmo:ReferentieNummer" />
		</xsl:call-template>

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::wmo303:Client/preceding-sibling::wmo303:Client/wmo303:Prestaties/wmo303:Prestatie/wmo303:ProductReferentie/iwmo:ReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR314</xsl:with-param>
			<xsl:with-param name="pCode">8021</xsl:with-param>
			<xsl:with-param name="pExtra" select="iwmo:ReferentieNummer" />
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
