<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
	xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
	xmlns:wmo304="http://www.istandaarden.nl/iwmo/3_0/wmo304/schema"
	>

	<!-- iWmo 3.0 TR317 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR317"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR317"/>
	</xsl:template>

	<xsl:template match="wmo303:IngediendeBedragPrestatie | wmo304:IngediendeBedragPrestatie" mode="TR317">
		<xsl:variable name="vBedrag" select="normalize-space(iwmo:GeleverdVolume) * normalize-space(iwmo:ProductTarief)" />
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="iwmo:BerekendBedrag/iwmo:Bedrag" />
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="iwmo:BerekendBedrag/iwmo:Bedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="$vBedrag" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="iwmo:GeleverdVolume | iwmo:ProductTarief" />
			<xsl:with-param name="pRule">TR317</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
