<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_0/basisschema/schema"
                xmlns:wmo303="http://www.istandaarden.nl/iwmo/3_0/wmo303/schema"
                xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_0/wmo323/schema"
>

    <!-- iWmo 3.0 TR319 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR319"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR319"/>
    </xsl:template>

    <xsl:template match="wmo303:Prestatie" mode="TR319">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::wmo303:Bericht/wmo303:Header/wmo303:DeclaratieFactuurIdentificatie/iwmo:DeclaratiePeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pOther" select="wmo303:ProductPeriode/iwmo:Begindatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::wmo303:Bericht/wmo303:Header/wmo303:DeclaratieFactuurIdentificatie/iwmo:DeclaratiePeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pOther" select="wmo303:ProductPeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="wmo323:Prestatie" mode="TR319">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::wmo323:Declaratie/wmo323:DeclaratiePeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pOther" select="wmo323:ProductPeriode/iwmo:Begindatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::wmo323:Declaratie/wmo323:DeclaratiePeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pOther" select="wmo323:ProductPeriode/iwmo:Einddatum"/>
            <xsl:with-param name="pRule">TR319</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
